| Disk ARchive 2.7.14 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
crc.hpp File Reference
Private

class crc definition, used to handle Cyclic Redundancy Checks More...

`#include "../my_config.h"`
`#include <string>`
`#include <list>`
`#include "integers.hpp"`
`#include "storage.hpp"`
`#include "infinint.hpp"`
`#include "proto_generic_file.hpp"`

Go to the source code of this file.

## Classes
class | libdar::crc
| pure virtual class defining interface of a CRC object More...
class | libdar::crc_i
| crc implementation based on infinint More...
class | libdar::crc_n
| crc implementation based on U_I More...

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions
crc * | libdar::create_crc_from_file (proto_generic_file &f, bool old=false)
| generate a CRC object reading it from file
crc * | libdar::create_crc_from_size (infinint width)
| generate a CRC object with adhoc width based on a file size

## Detailed Description

class crc definition, used to handle Cyclic Redundancy Checks

Definition in file crc.hpp.